Skip to content
Permalink
Browse files

debian packaging: add ubuntu artful

  • Loading branch information
jef-n committed Sep 21, 2017
1 parent 36e6bd1 commit da22be6b960f7b7f2570944dc9d3e7235cc1224d
Showing with 20 additions and 20 deletions.
  1. +1 −1 debian/compat.in
  2. +12 −12 debian/control.in
  3. +2 −2 debian/python-qgis.install.in
  4. +2 −2 debian/qgis-providers.install.in
  5. +3 −3 debian/rules
@@ -1,2 +1,2 @@
#stretch sid jessie trusty xenial yakkety zesty#9
#stretch sid jessie trusty xenial yakkety zesty artful#9
#jessie#8
@@ -15,17 +15,17 @@ Build-Depends:
gdal-bin,
python-gdal,
libgeos-dev (>= 3.0.0),
# jessie trusty # libgsl0-dev,
#sid stretch xenial yakkety zesty# libgsl-dev,
# jessie trusty # libgsl0-dev,
#sid stretch xenial yakkety zesty artful# libgsl-dev,
libpq-dev,
libproj-dev,
libqt4-dev (>= 4.7.0),
libqt4-opengl-dev,
libqca2-dev,
libqca2-plugin-ossl,
libqtwebkit-dev,
# jessie stretch # libqwt-dev,
#sid trusty xenial yakkety zesty# libqwt5-qt4-dev,
# jessie stretch # libqwt-dev,
#sid trusty xenial yakkety zesty artful# libqwt5-qt4-dev,
libqjson-dev,
libspatialite-dev,
libsqlite3-dev,
@@ -38,8 +38,8 @@ Build-Depends:
python-qt4-sql,
python-yaml, python-mock,
python-all (>= 2.6.6-3~), python-all-dev (>= 2.6.6-3~), python-pyspatialite,
#sid stretch xenial yakkety zesty# python-future,
#sid jessie stretch xenial yakkety zesty# pyqt4.qsci-dev, python-nose2,
#sid stretch xenial yakkety zesty artful# python-future,
#sid jessie stretch xenial yakkety zesty artful# pyqt4.qsci-dev, python-nose2,
python-sip (>= 4.5.0),
python-sip-dev (>= 4.5.0),
libosgearth-dev,
@@ -55,11 +55,11 @@ Build-Depends:
qt4-dev-tools,
libqt4-sql-sqlite, python-psycopg2, ca-certificates
Build-Conflicts: libqgis-dev, qgis-dev
#sid stretch xenial yakkety zesty#Standards-Version: 3.9.7
#sid stretch xenial yakkety zesty artful#Standards-Version: 3.9.7
#jessie#Standards-Version: 3.9.6
#trusty#Standards-Version: 3.8.4
#sid stretch jessie#X-Python-Version: >= 2.7, << 2.8
#trusty xenial yakkety zesty#XS-Python-Version: current
#trusty xenial yakkety zesty artful#XS-Python-Version: current
Vcs-Browser: https://github.com/qgis/QGIS/
Vcs-Git: https://github.com/qgis/QGIS.git
Homepage: http://qgis.org/
@@ -234,8 +234,8 @@ Depends:
libexpat1-dev,
libgdal-dev (>= 1.10.1-0~),
libgeos-dev (>= 3.0.0),
# jessie trusty # libgsl0-dev,
#sid stretch xenial yakkety zesty# libgsl-dev,
# jessie trusty # libgsl0-dev,
#sid stretch xenial yakkety zesty artful# libgsl-dev,
libpq-dev,
libproj-dev,
libqgis-app{QGIS_ABI} (= ${binary:Version}),
@@ -371,8 +371,8 @@ Depends:
python-pyproj,
python-six,
python-pyspatialite,
#sid stretch xenial yakkety zesty# python-future,
#sid stretch jessie xenial yakkety zesty# python-markupsafe, python-dateutil, python-yaml, python-owslib,
#sid stretch xenial yakkety zesty artful# python-future,
#sid stretch jessie xenial yakkety zesty artful# python-markupsafe, python-dateutil, python-yaml, python-owslib,
libqgispython{QGIS_ABI},
${shlibs:Depends},
${python:Depends},
@@ -7,5 +7,5 @@ usr/lib/python*/*-packages/qgis/networkanalysis/*
usr/lib/python*/*-packages/qgis/PyQt/*
usr/lib/python*/*-packages/qgis/server/*
usr/lib/python*/*-packages/qgis/testing/*
#sid stretch yakkety zesty#usr/lib/python*/*-packages/PyQt4/*.so
#sid stretch yakkety zesty#usr/lib/python*/*-packages/PyQt4/uic/widget-plugins/qtwebkit.py
#sid stretch yakkety zesty artful#usr/lib/python*/*-packages/PyQt4/*.so
#sid stretch yakkety zesty artful#usr/lib/python*/*-packages/PyQt4/uic/widget-plugins/qtwebkit.py
@@ -17,6 +17,6 @@ usr/lib/qgis/plugins/libvirtuallayerprovider.so
usr/lib/qgis/plugins/libwcsprovider.so
usr/lib/qgis/plugins/libwfsprovider.so
usr/lib/qgis/plugins/libwmsprovider.so
#sid stretch jessie trusty xenial yakkety zesty#usr/lib/qgis/plugins/libarcgismapserverprovider.so
#sid stretch jessie trusty xenial yakkety zesty#usr/lib/qgis/plugins/libarcgisfeatureserverprovider.so
#sid stretch jessie trusty xenial yakkety zesty artful#usr/lib/qgis/plugins/libarcgismapserverprovider.so
#sid stretch jessie trusty xenial yakkety zesty artful#usr/lib/qgis/plugins/libarcgisfeatureserverprovider.so
{QT_PLUGIN_DIR}/sqldrivers/libqsqlspatialite.so
@@ -34,7 +34,7 @@ ifneq (,$(findstring -oracle,$(DISTRIBUTION)))
WITH_ORACLE=1
endif

ifneq ($(DISTRIBUTION),$(findstring $(DISTRIBUTION),"jessie stretch trusty xenial yakkety zesty"))
ifneq ($(DISTRIBUTION),$(findstring $(DISTRIBUTION),"jessie stretch trusty xenial yakkety zesty artful"))
DISTRIBUTION := sid
endif

@@ -135,15 +135,15 @@ ifneq (,$(findstring $(DISTRIBUTION),"sid stretch"))
CMAKE_OPTS += -DPOSTGRES_LIBRARY=/usr/lib/$(DEB_BUILD_MULTIARCH)/libpq.so
endif

ifneq (,$(findstring $(DISTRIBUTION),"sid stretch yakkety zesty"))
ifneq (,$(findstring $(DISTRIBUTION),"sid stretch yakkety zesty artful"))
CMAKE_OPTS += -DWITH_INTERNAL_WEBKIT_BINDINGS=TRUE
endif

ifneq (,$(findstring $(DISTRIBUTION),"sid"))
CMAKE_OPTS += -DGEOS_LIBRARY=/usr/lib/$(DEB_BUILD_MULTIARCH)/libgeos_c.so
endif

ifneq (,$(findstring $(DISTRIBUTION),"jessie stretch trusty xenial yakkety zesty sid"))
ifneq (,$(findstring $(DISTRIBUTION),"jessie stretch trusty xenial yakkety zesty artful sid"))
CMAKE_OPTS += -DPYTHON_LIBRARY=/usr/lib/$(DEB_BUILD_MULTIARCH)/libpython2.7.so
endif

0 comments on commit da22be6

Please sign in to comment.
You can’t perform that action at this time.